% Demo file on : Mathieu equation:
% Let us consider the Linear Time Periodic system (Mathieu equation):
%
%   d2x(t)/dt2 + c dx(t)/dt + k x(t)= a0(1+delta)cos(2*pi*t/T) x(t)
%
%  where the magnitude of the forcing is uncertain: a0(1+delta) with -1<delta<1
%
%  N.A.  k=1; c=0.2; a0 =0.25.
%
%  for T=pi, it can be shown that this system becomes unstable for
%  delta>0.6034.

% Solving this parametreic robustness analysis problem using LTP2LTI:
[sys,blk]=ltp2lti('mathieu',pi,30);
margin=[];
for delta=[-1:0.01:1], 
    if ~isstable(lft(sys,delta*eye(30))),
        margin=[margin delta];
    end,
end
margin=min(abs(margin))
