function [plant,blk]=mathieu(T,t)
% [M_SS,BLK]=MATHIEU(T,t)
% Compute the model M_SS at time t of the Mathieu equation:
%      d2x(t)/dt2 + c dx(t)/dt + k x(t)= a cos(2*pi*t/T) x(t)
% and the uncertainties structure BLK on the magnitude a of the forcing:
%      a = a0(1+delta)
%
% N. A:  k=1; c=0.2; a0 =0.25.
w=2*pi/T;
k=1;
c=0.2;
a0=0.25;
plant=ss([0 1;a0*cos(w*t)-k -c],[0;1],[a0*cos(w*t) 0],0);
blk=[-1 0];
